Bug 1777370

Summary: EPEL 8 branch
Product: [Fedora] Fedora EPEL Reporter: ekulik
Component: titoAssignee: Devan Goodwin <dgoodwin>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel8CC: aparsons, dgoodwin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-29 07:24:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description ekulik 2019-11-27 14:15:38 UTC
Are there any plans to build tito for EPEL 8? I could really use it.

Comment 1 ekulik 2019-11-27 14:22:25 UTC
Should the answer be “yes”, I filed https://bugzilla.redhat.com/show_bug.cgi?id=1777377.

Comment 2 Aron Parsons 2020-03-20 18:56:40 UTC
Building tito-0.6.12-2.fc30 against epel8 results in a tito that seemingly just works.  I'm able to do local builds and attempt to release into Koji.  Would be great to get a tagged build into epel8 officially.

bash-4.4# cat /etc/os-release 
NAME="CentOS Linux"
VERSION="8 (Core)"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="8"
PLATFORM_ID="platform:el8"
PRETTY_NAME="CentOS Linux 8 (Core)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:8"
HOME_URL="https://www.centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"

CENTOS_MANTISBT_PROJECT="CentOS-8"
CENTOS_MANTISBT_PROJECT_VERSION="8"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="8"

bash-4.4# rpm -q tito
tito-0.6.12-2.el8.noarch

bash-4.4# tito build --test --rpm --quiet
Creating output directory: /tmp/tito
Building package [tini-0.18.0-2]
Successfully built: /tmp/tito/tini-0.18.0-2.git.0.ac74d87.el8.src.rpm
	- /tmp/tito/x86_64/tini-0.18.0-2.git.0.ac74d87.el8.x86_64.rpm

bash-4.4# tito release --test --scratch el8        
Creating output directory: /tmp/tito
Will release to the following targets: el8
Releasing to target: el8
Working in: /tmp/tito/release-tinimggoebus
Building release in Koji...

Wrote: /tmp/tito/tini-0.18.0-2.git.0.ac74d87.el8.src.rpm

Submitting build with: koji build --nowait --scratch el8 /tmp/tito/tini-0.18.0-2.git.0.ac74d87.el8.src.rpm
...